SQLServer 2008 还原数据库备份不兼容

  今天准备还原一个数据库备份的时候,弹出这样的错误:System.Data.SqlClient.SqlError: 该数据库是在运行版本 10.50.1600 的服务器上备份的。该版本与此服务器(运行版本 10.00.1600)不兼容。请在支持该备份的服务器上还原该数据库,或者使用与此服务器兼容的备份。 (Microsoft.SqlServer.Smo)

     

分析:

   10.00.1600 :SQL 2008

   10.50.1600:SQL 2008 R2  

   10.50.2500:SQL 2008 R2 SP1 

   所以依此可知,需要原数据库备份文件时在R2的数据库环境下导出的,而我的数据库是SQL 2008,版本不兼容,解决方案是升级我的SQL 2008为R2 

SQL Serve 2008 R2 版下载地址:

     http://care.dlservice.microsoft.com/dl/download/1/E/6/1E626796-588A-495C-917B-321093FB98EB/2052/SQLFULL_x86_CHS.exe?lcid=2052&ptype=pcare

posted @ 2013-03-05 00:45  daomul  阅读(23737)  评论(0编辑  收藏